v1.0

get

/ec-dataintegration-svc/rest/v1.0/studies/{studyId}/{mode}/forms/{formId}/subjects/{subjectId}/dataelements

Filters and retrieves data elements for form data in an event. This supports the start date for Integration Hub. If a start date is provided, it returns the snapshot of data elements just before start date. In the case when the current query parameter is set to true, this will return the latest data.

Request

Path Parameters
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.
    Example:
    40DB4EF4847849CCB24EFCCB71CDA436
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    active
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    ABCDEF1234567890ABCDEF1234567890
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    10F75668189F422F9A461A315D211111
Query Parameters
  • If set to true, it returns the current data. Else, it returns the data just before the visit is complete.
    Example:
    true
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    ADF5A7800A954FA5B831E7B6B9CA39A9
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example:
    1
  • The date for which you want to retrieve the data values.
    Example:
    2023-01-01T09:00:00Z

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : DataElementDto50
Type: object
Data element extension adding dataFlag identifier inherited by higher versions
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : RestResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top